Subject: Re: bug#53764: 27.1; shouldn't ~/diary be in diary-mode?

From: Francesco Potortì <[email-masked]>
Date: Sun, 06 Feb 2022 00:11:08 +0100

>Francesco Potortì <[email-masked]> writes:
>> When calendar is loaded, diary-file is initialised.  After that, it
>> could be added to the auto-mode-alist.

Lars:
>That's true.  Grepping around, it looks like we have a number of other
>packages that also add to `auto-mode-alist', so there's some precedence
>for doing this, but I'm a bit unsure in this case.  That is, the user
>may have added something to auto-mode-alist themselves, and we don't
>want to override that.
>
>But I guess it's pretty unlikely.  Does anybody have an opinion?

If diary-file is already in the auto-mode-alist, we do nothing.  No override.